Subject: problems with make
From: "LPServ" <[email-masked]>
To: <[email-masked]>
Date: Mon, 20 Aug 2001 18:14:55 -0500

I am having problems with the make program. I've tried various things but to
no luck, and could find nothing of help in the documentation, etc. The
problems aren't with just this program.. but this is one of the ones I
really want to get to compile... so here is the error.

___________
Lee@SERVER ~/tetrinet
$ make
cc -O2 -I/usr/include/ncurses -c server.c
server.c:12: netinet/in.h: No such file or directory
server.c:17: sys/socket.h: No such file or directory
make: *** [server.o] Error 1

Lee@SERVER ~/tetrinet
$
________________

and here is the makefile, if it would be of any use.

____________
CC = cc
CFLAGS = -O2 -I/usr/include/ncurses

OBJS = server.o sockets.o tetrinet.o tetris.o tty.o xwin.o

all: tetrinet tetrinet-server

install: all
 cp -p tetrinet tetrinet-server /usr/games

tetrinet: $(OBJS)
 $(CC) -o $@ $(OBJS) -lncurses

tetrinet-server: server.c sockets.c tetrinet.c tetris.c server.h sockets.h
tetrinet.h tetris.h
 $(CC) $(CFLAGS) -o $@ -DSERVER_ONLY server.c sockets.c tetrinet.c tetris.c

.c.o:
 $(CC) $(CFLAGS) -c $<

server.o: server.c tetrinet.h tetris.h server.h sockets.h
sockets.o: sockets.c sockets.h tetrinet.h
tetrinet.o: tetrinet.c tetrinet.h io.h server.h sockets.h tetris.h
tetris.o: tetris.c tetris.h tetrinet.h io.h sockets.h
tty.o:  tty.c tetrinet.h tetris.h io.h
xwin.o:  xwin.c tetrinet.h tetris.h io.h

tetrinet.h: io.h
_____________

thanks,
lee

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/